Summary:	libgksu library
Summary(pl.UTF-8):	Biblioteka libgksu
Name:		libgksu
Version:	2.0.12
Release:	9
License:	LGPL v2
Group:		Libraries
Source0:	http://people.debian.org/~kov/gksu/%{name}-%{version}.tar.gz
# Source0-md5:	c7154c8806f791c10e7626ff123049d3
Patch0:		%{name}-configure.patch
Patch1:		%{name}-helper.patch
Patch2:		am.patch
Patch3:		automake-1.11.patch
Patch4:		format-security.patch
URL:		http://www.nongnu.org/gksu/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	intltool
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libgtop-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgksu library.

%description -l pl.UTF-8
Biblioteka libgksu.

%package devel
Summary:	Header files for libgksu library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgksu
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel
Requires:	glib2-devel >= 1:2.12.0
Requires:	libgnome-keyring-devel
Requires:	startup-notification-devel

%description devel
Header files for libgksu library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgksu.

%package static
Summary:	Static libgksu library
Summary(pl.UTF-8):	Statyczna biblioteka libgksu
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgksu library.

%description static -l pl.UTF-8
Statyczna biblioteka libgksu.

%package apidocs
Summary:	libgksu library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgksu
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libgksu library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgksu.

%package utils
Summary:	GKSu properties utility
Summary(pl.UTF-8):	Aplikacja właściwości GKSu
Group:		X11/Applications
Requires(post,preun):	GConf2
Requires:	%{name} = %{version}-%{release}

%description utils
This program allows you to define how GKSu grants the privileges and
locks input devices.

%description utils -l pl.UTF-8
Ten program pozwala zdefiniować jak GKSu przyznaje uprawnienia i
blokuje urządzenia wejściowe.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__gtkdocize} --docdir docs/
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgksu2.la

%find_lang libgksu

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post utils
%gconf_schema_install gksu.schemas

%preun utils
%gconf_schema_uninstall gksu.schemas

%files -f libgksu.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libgksu2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgksu2.so.0
%dir %{_libdir}/libgksu
%attr(755,root,root) %{_libdir}/libgksu/gksu-run-helper

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgksu2.so
%{_includedir}/libgksu
%{_pkgconfigdir}/libgksu2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgksu2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgksu

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gksu-properties
%{_desktopdir}/gksu-properties.desktop
%dir %{_datadir}/libgksu
%{_datadir}/libgksu/gksu-properties.ui
%{_mandir}/man1/gksu-properties.1*
%{_pixmapsdir}/gksu.png
%{_sysconfdir}/gconf/schemas/gksu.schemas
%changelog
* Wed Apr 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgksu.git;a=log;h=master

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> bd97770
- noarch apidocs

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> a4ff99b
- x32 rebuild
- release 8 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c4546a1
- updated gettext BR

* Sun Jul 27 2014 Jan Rękorajski <baggins@pld-linux.org> 9078a14
- rel 7

* Sun Jul 27 2014 Jan Rękorajski <baggins@pld-linux.org> 93df275
- fix format string errors

* Sat Jun 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8303ed8
- libgnome-keyring-devel in -devel subpackage; rel. 6

* Sat Jun 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> ae528c4
- patch to build with automake >= 1.11
- gnome-keyring-devel -> libgnome-keyring-devel
- rel. 5

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> feb5dbd
- Makefile fix
- rel. 4

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 884306b
- drop libtool file
- rel. 3

* Sat Jul 17 2010 Jan Rękorajski <baggins@pld-linux.org> 55ee818
- rel 2
- make it work on 64bit systems

* Sat Jan 30 2010 sparky <sparky@pld-linux.org> 30a0997
- BR: docbook-dtd412-xml

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 06d10d8
- updated to 2.0.12
- added -configure.patch (fixes build)
- added -apidocs subpackage

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 2210dec
- use GTK_DOC_CHECK() (required by gtkdocize)

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d4a0ecd
- release 3

* Fri Jan 29 2010 amateja <amateja@pld-linux.org> a9e5789
- release 2

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> 9c1d7b7
- updated to 2.0.9

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 565e0a9
- release 3

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d1bfe32
- release 2

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> bec1859
- release 1

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 20a4c67
- up to 2.0.5

